# plugin api
import plugin
import subprocess

class DovecotGroupPlugin(plugin.Plugin):
        baseDn='ou=users,dc=example,dc=com'
        nameAttr='cn'
        basedir='/tmp/dovecot'
        commandPrefix="sh -c "

        def configure(self,conf):
                self.baseDn=conf.get("dovecot","groupBaseDn")
                self.basedir=conf.get("dovecot","baseDir")
                self.commandPrefix=conf.get("dovecot","commandPrefix")+" "

        def create(self,dn,attrs):
                pass

        def update(self,dn,attrs):
                pass

        def delete(self,dn):
                pass

        def rename(self,dn,attrs,dn2):
                if not self.filter(dn,attrs):
                        return

                oldUsername=self.getUsername(dn2)
                newUsername=self.getUsername(dn)
                self.command(" \"/opt/dass-it/scripts/dovecotUtil.py renameGroup %s %s\"" %
                 (oldUsername,newUsername))

        def exists(self,dn,attrs):
                return False

        def command(self,cmd):
                print cmd
                #subprocess.call(self.commandPrefix+cmd,shell=True)
