import imaplib
import getpass

def login(host,username,password):
    m = imaplib.IMAP4(host)
    m.login(username,password)
    return m

def setquota(M,username,quota=None):
    mailboxname="user/"+username
    if quota!=None:
        M.setquota(mailboxname,"(STORAGE %d)" % (quota))
    else:
        M.setquota(mailboxname,"()")    

def renameUser(M,oldName,newName):
    old="user/"+oldName
    new="user/"+newName
    print M.rename(old,new)

def createUser(M,user):
    mailbox="user/"+user
    M.create(mailbox)
    #M.setacl(mailbox,user,"all")

def deleteUser(M,user,adminUser):
    mailbox="user/"+user
    M.setacl(mailbox,adminUser,"lrswipcda")
    M.delete(mailbox)
