#set ($layout = "grid.vm" )
	<SCRIPT type="text/javascript">
#js_default_formatters()
#js_error_handler()
#js_search("name")

	var grid;
	var dataView;

	var searchRegex;

  	var columns = [
#parse("$module/columns.inc")
	];

	function make_button(element,action,startDisabled) {
                $(element).click(function() {
                                var row=grid.getSelectedRows()[0];
                                var item=dataView.getItem(row);
                                var newLocation="$root/$module/"+action+".vm"
#if($params.filter)
				newLocation += "?filter=$params.filter";
#end
				if(typeof(item) != "undefined") {
                                	var name=item.name;
#if($params.filter)
					newLocation += "&key="+escape(name);
#else
					newLocation += "?key="+escape(name);
#end
				}
                                window.location=newLocation;
                });
	}

	$(document).ready(function () {
#js_syncicon()
#js_create_grid("columns")

		grid.onSelectedRowsChanged.subscribe(function() { 
	   		row_ids = grid.getSelectedRows();
			selected_count = row_ids.length;
 	  		console.log(row_ids);
			var enabled = false;
			var multiEnabled = false;

			if(selected_count == 1) {
				enabled = true;
			}
			if (selected_count >= 1) {
				multiEnabled = true;
			}
				
			$("#button-edit").prop("disabled",!enabled);
			$("#button-rename").prop("disabled",!enabled);
			$("#button-delete").prop("disabled",!multiEnabled);
		});
		grid.onDblClick.subscribe(function() { $("#button-edit").click(); });

		make_button("#button-edit","edit",true);
		make_button("#button-new","new",false);
		make_button("#button-rename","rename",true);
		make_button("#button-delete","delete",true);

#js_searchbox()
#js_load_data($module,"name")

	});

	</SCRIPT>
<DIV class="ui-layout-center">
</DIV>
<DIV class="ui-layout-north" style="padding:52px 0 0 0">
#parse("header.vm")
</DIV>
<DIV class="ui-layout-south">
<div class="buttons">
<button id="button-new" type="button" class="btn btn-primary btn-sm">$msg.New</button>
<button id="button-edit" type="button" class="btn btn-warning btn-sm" disabled>$msg.Edit</button>
<button id="button-rename" class="btn btn-warning btn-sm" disabled>$msg.Rename</button>
<button id="button-delete" class="btn btn-danger btn-sm" disabled>$msg.Delete</button>
<span>&nbsp;</span>
<span style="float:right; font-size:10px"><span id="counter">0</span> $msg.entries</span>
</div>
</DIV>
